Subject: bug#15575: 24.3.50; New tty menus crash Emacs

From: Eli Zaretskii <[email-masked]>
Date: Fri, 11 Oct 2013 10:09:55 +0300

> From: Jan Djärv <[email-masked]>
> Date: Fri, 11 Oct 2013 07:44:54 +0200
> Cc: [email-masked]
> 
> Hello.
> 
> 10 okt 2013 kl. 21:36 skrev Eli Zaretskii <[email-masked]>:
> 
> > Can you please try the latest trunk (after reverting the patch you
> > applied on my request)?  I made some changes that perhaps could fix
> > this.
> > 
> 
> Sorry, no go.  On Fedora 19, this assert triggers:
> 
> 20591	{
> 20592	  struct glyph *pointers[1 + LAST_AREA];
> 20593	
> 20594	  /* Save glyph pointers of TO.  */
> 20595	  memcpy (pointers, to->glyphs, sizeof to->glyphs);
> 20596	  eassert (to->used[TEXT_AREA] == from->used[TEXT_AREA]);
> 20597	
> 20598	  /* Do a structure assignment.  */
> 20599	  *to = *from;
> 20600	
> (gdb) p to->used[TEXT_AREA] 
> $1 = -3929
> (gdb) p from->used[TEXT_AREA] 
> $2 = 274

Both values are bogus.

Can you give me a login on that machine, with access to a directory
where trunk is built?  I would like to debug this weird problem.

> No, everything is stock Fedora 19, gcc 2.8.1, compiled with -g3, no optimizations, glibc 2.17.

Very strange.  It works flawlessly for me on fencepost.gnu.org,
although with an older compiler and with GTK2 (which should not be a
factor in this case).  I tried both with and without optimizations.